
Foreman - Bug #10288

audit logs show counter cache information
Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Audit Log   

Target version: 1.9.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1223005 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2395

  

Description

when browsing via the audit logs, you can see the counter changing (for example for puppet class assignments) - see attachment

Related issues:

Related to Foreman - Bug #844: puppetclass host count does not count hosts th... Closed 04/14/2011

Related to Foreman - Bug #10656: counters are visible in audits Closed 05/31/2015

Associated revisions

Revision ff33aaaa - 05/20/2015 04:04 AM - Tomer Brisker

Fixes #10288 - prevent audits on update of puppetclass total hosts counter

History

#1 - 05/19/2015 10:36 AM - Tomer Brisker

- Status changed from New to Assigned

- Estimated time set to 1:00 h

This was actually only happening for total_hosts - since it isn't a cached counter.

#2 - 05/19/2015 10:39 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2395 added

- Pull request deleted ()

#3 - 05/19/2015 11:03 AM - Tomer Brisker

- Bugzilla link set to 1223005

#4 - 05/20/2015 04:32 AM - Dominic Cleal

- translation missing: en.field_release set to 56

#5 - 05/20/2015 04:32 AM - Dominic Cleal

- Related to Bug #844: puppetclass host count does not count hosts though a hostgroup added

#6 - 05/20/2015 05:03 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ff33aaaa5f736f79cbad514e98b405be3197d955.

#7 - 06/01/2015 03:34 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ff33aaaa5f736f79cbad514e98b405be3197d955


- Related to Bug #10656: counters are visible in audits added

#8 - 06/11/2015 10:58 AM - Dominic Cleal

- translation missing: en.field_release changed from 56 to 35
